Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.metaclass
[Java] Class AbstractDynamicControllerMethod

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicMethodInvocation
          org.codehaus.groovy.grails.web.metaclass.AbstractDynamicControllerMethod

    public abstract class AbstractDynamicControllerMethod
    extends AbstractDynamicMethodInvocation

An abstract class for dynamic controller methods to implement.

Authors:
  Graeme Rocher

Field Summary
`protected javax.servlet.http.HttpServletRequest` | `request`
`protected javax.servlet.http.HttpServletResponse` | `response`

Constructor Summary
`AbstractDynamicControllerMethod(java.util.regex.Pattern pattern, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Method Summary

Methods inherited from class AbstractDynamicMethodInvocation
getPattern, invoke, isMethodMatch, setPattern

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### request

    protected javax.servlet.http.HttpServletRequest request

### response

    protected javax.servlet.http.HttpServletResponse response

Constructor Detail

### AbstractDynamicControllerMethod

    public AbstractDynamicControllerMethod(java.util.regex.Pattern pattern, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)

Groovy Documentation